Bug 1696015 (CVE-2019-3892)

Summary: CVE-2019-3892 kernel: fix race condition between mmget_not_zero()/get_task_mm() and core dumping
Product: [Other] Security Response Reporter: Wade Mealing <wmealing>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aarcange, acaringi, airlied, bhu, blc, brdeoliv, bskeggs, dhoward, dvlasenk, esammons, fhrbata, hdegoede, hkrzesin, iboverma, ichavero, itamar, jarodwilson, jeremy, jforbes, jglisse, jkacur, john.j5live, jonathan, josef, jross, jstancek, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, matt, mchehab, mcressma, mjg59, mlangsdo, msiddiqu, nmurray, plougher, rt-maint, rvrbovsk, steved, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A race condition was found between between mmget_not_zero()/get_task_mm() when core dumping tasks. A local attacker is able to exploit race condition where locking of semaphore would allow an attacker to leak kernel memory to userspace.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-03 09:11:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1696007, 1696223    

Description Wade Mealing 2019-04-04 02:55:40 UTC
A race condition was found between between mmget_not_zero()/get_task_mm() when core dumping tasks. A local attacker is able to exploit race condition where locking of semaphore would allow an attacker to leak kernel memory to userspace.


Upstream patch:
https://marc.info/?l=linux-mm&m=155355419911404&w=2

Comment 1 Wade Mealing 2019-04-04 02:56:26 UTC
Acknowledgments:

Name: Andrea Arcangeli (Red Hat Engineering)

Comment 4 Wade Mealing 2019-04-04 06:46:36 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1696078]

Comment 6 Vladis Dronov 2019-05-02 09:20:16 UTC
Note:

CVE-2019-11599 was kept and CVE-2019-3892 REJECTed as reservation duplicate of CVE-2019-11599:

https://seclists.org/oss-sec/2019/q2/77

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3892

Comment 7 msiddiqu 2019-05-03 09:11:53 UTC

*** This bug has been marked as a duplicate of bug 1705937 ***